NX Open C++ Reference Guide
|
Represents a GeometricUtilities::InteractiveSectionBuilder . More...
Public Member Functions | |
void | AppendPlane (const NXOpen::Point3d &point1, const NXOpen::Point3d &point2, const NXOpen::Point3d &origin, const NXOpen::Vector3d &normal) |
Appends a plane Created in NX7.0.0. | |
void | DeleteLast () |
Deletes last point or the plane created Created in NX7.0.0. | |
NXOpen::GeometricUtilities::SectionPlaneData * | GetNthPlane (int index) |
Get the Nth plane. | |
int | GetNumPlanes () |
Get the number of planes. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a GeometricUtilities::InteractiveSectionBuilder .
The interactive section block uses 2 points to draw a line or a section.
Created in NX7.0.0.
void NXOpen::GeometricUtilities::InteractiveSectionBuilder::AppendPlane | ( | const NXOpen::Point3d & | point1, |
const NXOpen::Point3d & | point2, | ||
const NXOpen::Point3d & | origin, | ||
const NXOpen::Vector3d & | normal | ||
) |
void NXOpen::GeometricUtilities::InteractiveSectionBuilder::DeleteLast | ( | ) |
Deletes last point or the plane created
Created in NX7.0.0.
License requirements : studio_free_form ("STUDIO FREE FORM")
NXOpen::GeometricUtilities::SectionPlaneData* NXOpen::GeometricUtilities::InteractiveSectionBuilder::GetNthPlane | ( | int | index | ) |
Get the Nth plane.
index | index of the plane |
int NXOpen::GeometricUtilities::InteractiveSectionBuilder::GetNumPlanes | ( | ) |
Get the number of planes.
|
virtual |
Validate whether the inputs to the component are sufficient for commit to be called.
If the component is not in a state to commit then an exception is thrown. For example, if the component requires you to set some property, this method will throw an exception if you haven't set it. This method throws a not-yet-implemented NXException for some components.
Implements NXOpen::GeometricUtilities::IComponentBuilder.